<template>
  <div
    v-if="isAuthenticated"
    class="absolute w-full pb-5 min-h-screen bg-gray-200 font-opensans"
  >
    <dashboard-header />
    <dashboard-navigation />
    <div class="h-auto m-auto lg:w-4/5 md:w-11/12 pt-5">
      <dashboard-alert />

      <router-view />
    </div>
  </div>

  <dashboard-loading v-if="!isAuthenticated" />
</template>

<script lang="ts">
import { Header, Navigation } from '@/core/components';
import Alert from '@/core/Alert.vue';
import { useStore } from '@/store';
import { computed } from 'vue';
import Loading from './Loading.vue';

export default {
  name: 'dashboard-view',
  components: {
    'dashboard-header': Header,
    'dashboard-navigation': Navigation,
    'dashboard-alert': Alert,
    'dashboard-loading': Loading,
  },
  setup() {
    const store = useStore();
    const isAuthenticated = computed(() => store.getters.userAuthenticated);

    return { isAuthenticated };
  },
};
</script>
